libvisio::VSDCharIX Class Reference documentation

Public Member Functions | Public Attributes | List of all members
libvisio::VSDCharIX Class Reference
Inheritance diagram for libvisio::VSDCharIX:

## Public Member Functions
| VSDCharIX (unsigned id, unsigned level, unsigned charCount, const boost::optional< VSDName > &font, const boost::optional< Colour > &fontColour, const boost::optional< double > &fontSize, const boost::optional< bool > &bold, const boost::optional< bool > &italic, const boost::optional< bool > &underline, const boost::optional< bool > &doubleunderline, const boost::optional< bool > &strikeout, const boost::optional< bool > &doublestrikeout, const boost::optional< bool > &allcaps, const boost::optional< bool > &initcaps, const boost::optional< bool > &smallcaps, const boost::optional< bool > &superscript, const boost::optional< bool > &subscript, const boost::optional< double > &scaleWidth)
| VSDCharIX (unsigned id, unsigned level, const VSDOptionalCharStyle &style)
| ~VSDCharIX () override
void | handle (VSDCollector *collector) const override
VSDCharacterListElement * | clone () override
unsigned | getCharCount () const override
void | setCharCount (unsigned charCount) override
Public Member Functions inherited from libvisio::VSDCharacterListElement
| VSDCharacterListElement (unsigned id, unsigned level)
virtual | ~VSDCharacterListElement ()

## Public Attributes
VSDOptionalCharStyle | m_style
Public Attributes inherited from libvisio::VSDCharacterListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## ◆ VSDCharIX() [1/2]

libvisio::VSDCharIX::VSDCharIX | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | charCount,
|  | const boost::optional< VSDName > & | font,
|  | const boost::optional< Colour > & | fontColour,
|  | const boost::optional< double > & | fontSize,
|  | const boost::optional< bool > & | bold,
|  | const boost::optional< bool > & | italic,
|  | const boost::optional< bool > & | underline,
|  | const boost::optional< bool > & | doubleunderline,
|  | const boost::optional< bool > & | strikeout,
|  | const boost::optional< bool > & | doublestrikeout,
|  | const boost::optional< bool > & | allcaps,
|  | const boost::optional< bool > & | initcaps,
|  | const boost::optional< bool > & | smallcaps,
|  | const boost::optional< bool > & | superscript,
|  | const boost::optional< bool > & | subscript,
|  | const boost::optional< double > & | scaleWidth )
| inline

## ◆ VSDCharIX() [2/2]

libvisio::VSDCharIX::VSDCharIX | ( | unsigned | id,
|  | unsigned | level,
|  | const VSDOptionalCharStyle & | style )
| inline

## ◆ ~VSDCharIX()

libvisio::VSDCharIX::~VSDCharIX | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ clone()

libvisio::VSDCharacterListElement * libvisio::VSDCharIX::clone | ( |  | ) |
| overridevirtual

Implements libvisio::VSDCharacterListElement.

## ◆ getCharCount()

unsigned libvisio::VSDCharIX::getCharCount | ( |  | ) | const
| inlineoverridevirtual

Implements libvisio::VSDCharacterListElement.

## ◆ handle()

void libvisio::VSDCharIX::handle | ( | VSDCollector * | collector | ) | const
| overridevirtual

Implements libvisio::VSDCharacterListElement.

## ◆ setCharCount()

void libvisio::VSDCharIX::setCharCount | ( | unsigned | charCount | ) |
| inlineoverridevirtual

Implements libvisio::VSDCharacterListElement.

## Member Data Documentation

## ◆ m_style

VSDOptionalCharStyle libvisio::VSDCharIX::m_style

Referenced by libvisio::VSDCharacterList::addCharIX(), getCharCount(), handle(), and setCharCount().

The documentation for this class was generated from the following file:

- VSDCharacterList.cpp